
html {
    max-width: 100%; 
    overflow-x: hidden;
    -webkit-font-smoothing: antialiased;  
    font-smoothing: antialiased;
    height:100%;
    width: 100%;
    max-height: 100%;
    background-color: #f9f9f9;
    font-family: 'Jost', sans-serif; 
}

html, html a {
      text-shadow: 1px 1px 1px rgba(0,0,0,0.004);  
 }

body{

max-height: 100%;
margin: 0;
  color: var(--color-text);
  background: var(--color-bg) url(../img/bg.jpg) no-repeat 50% 50% fixed;
  background-size: cover;
max-width: 100%;
width: 100%;
height: 100%;
max-width: 100%;
 font-family: 'Jost', sans-serif;
}

a {
   outline: 0;
}

a:hover, a:active, a:focus {
  outline: 0;
}

input::-moz-focus-inner { 
  border: 0; 
}

.ba{
 position: relative;
 width: 10%;
 height: 5%;
 text-align: center;
 float: right;
 font-weight: bold;
 margin-right: 25px;
 margin-top: -80px;
}

#preloader {
    position:fixed;
    top:0;
    left:0;
    right:0;
    bottom:0;
    background-color:#f9f9f9; 
    z-index:100000; 
    
}

#status {
    width:61px;
    height:61px;
    background-image:url(../img/load.gif); 
    margin: 500px auto;
}


.intro{
    position: relative;
    height: auto;
    overflow: hidden;
    background-color: #f9f9f9; 
    width:auto;
    max-width: 1440px;
    overflow: hidden;
    margin:0 auto;
    overflow: auto;
}



#navbar {
  position: fixed;
  top: 0px;
  width: 100%;
  transition: top 0.3s;
  z-index: 1000;
  margin: 0 auto;
  background-color:#f9f9f9;
  height: 100px;
 font-family: 'Jost', sans-serif;
   border-bottom: 1px solid #E7E7E7;
}

.navbuttons{
     width: -webkit-fit-content;
     width: -moz-fit-content;
     width: fit-content;
    margin: 37px auto;
}

#navbar a {
display: inline-block;
  color: #B6B6B6;
  text-align: center;
  text-decoration: none;
  font-size: 15px;
   width: 140px;
   font-family: 'Jost', sans-serif;

}

#navbar a:hover {
  color: black;
}




#idea{
	-webkit-font-smoothing: antialiased;
    font-smoothing: antialiased;
	display: inline;
	position: relative;
	font-weight: 400;
    font-family: 'Sriracha', cursive;
    z-index: 2;
}

.idea{
    position: relative;
	  font-size:3.2vw;
    margin: 18% auto 0.5% auto;
    color: #FF7011;
    z-index: 2;
    text-align: left;
}

.name{

    text-align: left;
    position: relative;
    top: 0%;
    width: 100%;
    color:#727272;
   font-family: 'Jost', sans-serif;
    font-size: 0.9vw;
    font-weight: 400;
    z-index: 2;
    line-height: 1.6;
}


/**************************************navigation***************************************/
#navigatio{
    position: fixed;
    font-size: 0.7vw;
    left: -4%;
    top: 88%;
    text-align: center;
    z-index: 10000;
    color: #555555;
}


@keyframes loaderAnim { 
    to {
        opacity: 1;
        transform: scale3d(0.5,0.5,1);
    }
}

a {
    text-decoration: none;
    color: var(--color-link);
    outline: none;
}

a:hover,
a:focus {
    color: var(--color-link-hover);
    outline: none;
}

.content {
    position: relative;
    margin-top: 2px;
}

.grid {
    width: 100%;
    max-width: 1440px;
    height: auto;
    margin: 0 auto;
    padding-bottom: 10px;
}

.grid__item {
    display: flex;
    justify-content: center;
    margin: 0 0 10rem 0;
    cursor: pointer;
}

.box {
    position: relative;
    margin: 8%;
}

.grid__item:hover .box__title-inner::before {
    height: 100%;
    width: 100%;
}

.box__img {
    display: block;
    flex: none;
    margin: 3% auto;
    max-width: 100%;
    filter: grayscale(0);
    transition: filter 0.3s;
    pointer-events: none;
}

.boximg {
    display: block;
    flex: none;
    margin: 3% auto;
    max-width: 90%;
    filter: grayscale(0);
    transition: filter 0.3s;
    pointer-events: none;
}

.grid__item:hover .box__img:not(.box__img--original) {
    filter: grayscale(0);
}

.box__shadow {
    position: absolute;
    width: 100%;
    height: 95%;
    top: -0.4rem;
    left: -2rem;
    background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAOklEQVQoU43MSwoAMAgD0eT+h7ZYaOlHo7N+DNHL2HAGgBWcyGcKbqTghTL4oQiG6IUpOqFEC5bI4QD8PAoKd9j4XwAAAABJRU5ErkJggg==);
    opacity: 60%;
}

.my__img{
  height: 500px;
}








.container {
    max-width: 1200px;
    width: 100%;
    margin-top: 100px;
}

.diagonal-container {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    margin: 20px;
}

.content-container {
    flex: 1;
    max-width: 100%;
    text-align: left;
}

.diagonal-content {
   
    padding: 20px;
    text-align: left;
   
}

.diagonal-content h2 {
    font-size: 24px;
    margin-bottom: 10px;
}

hr {
  border: none;
  height: 1px;
  /* Set the hr color */
  color: #DEDEDE;  /* old IE */
  background-color: #DEDEDE;  /* Modern Browsers */
  max-width: 85%;
  align:center;
}


/* Responsive styles */
@media (max-width: 700px) {
    .diagonal-container {
        flex-direction: column;
    }

    .diagonal-content {
        transform: none;
    }

    .boximg{
      max-width: 70%;
    }

}

@media (max-width: 576px) {
    
    
}










.box__content {
    position: absolute;
    max-width: 100%;
    font-size: 16px;
    text-align: right;
    margin-top: 10px;
    margin-right: 1px;
    float: right;
    right: 0;
    font-family: 'Jost', sans-serif;
    font-weight: 600;
}

.box__content strong {
    white-space: nowrap;
}



footer{
  background: #f1f1f1; 
  padding: 90px 0;
  bottom: 0;
  width: 100%;
  height: auto; 
  margin-top: 100px;
  position: relative;
  font-family: 'Jost', sans-serif;
}

.footer-container{
  max-width: 1300px;
  margin: -40px auto 0 auto;
  padding: 0 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap-reverse;
}

.social-media{
  margin: 20px 0 20px -10px;
}

.social-media a{
  color: #001a21;
  font-size: 22px;
  text-decoration: none;
  transition: .3s linear;
  padding: 15px;
}


.rights-text{
    font-size: 13px;
    text-align: left;
}


.fa-twitter:hover{
  color: #539EFF;
}

.fa-facebook:hover{
  color: #1877F2;
}

.fa-dribbble:hover{
  color: #EA4C88;
}

.fa-linkedin:hover{
  color: #0078B7;
}

.fa-instagram:hover{
  color: #A028A9;
}




/*********************************** media query*****************************************/



@media (min-width:350px) and (max-width: 600px) {

  
.navbuttons{
    
    margin: 37px auto;
}

#navbar a {

  font-size: 14px;
   width: 100px;
}


 #status {
    width:61px;
    height:61px;
    background-image:url(../img/load.gif); 
    margin: 300px auto;
}
}


@media (min-width:600px) {

 #status {
    width:61px;
    height:61px;
    background-image:url(../img/load.gif); 
    margin: 300px auto;
}

}


@media (min-width:1700px) {
#status {
    width:61px;
    height:61px;
    background-image:url(../img/load.gif); 
    margin: 500px auto;
}
}

@media (min-width:350px) and (max-width: 849px) {

  .ba{

 margin-top: 10px;
}


}





@media screen and (min-width: 849px) {
    .grid {
        display: grid;
        align-items: center;
        padding: 3rem 3rem 15rem 3rem;
        grid-row-gap: 2rem; /* bottom spacing*/
        grid-template-columns: repeat(2,calc(100% / 2));
    }
    .grid__item {
        margin: 0;
    }
}

@media (min-width:200px){

   .grid__item {
        margin-bottom: 10px;

    }

  .box{
    max-width: 75%;
  }

}

@media (min-width:500px) and (max-width: 849px) {

   .grid__item {
        margin-bottom: 10px;

    }

  .box{
    max-width: 60%;
  }

}

@media (min-width:350px) and (max-width: 499px) {

   .grid__item {
        margin-bottom: 40px;

    }

  .box{
    max-width: 75%;
  }

  .box__content {
  
    font-size: 13px;
    margin-top: 4px;
    
}
}

@media (min-width:320px) {

.idea{
    
    font-size:30px;
    margin: 1% auto 0.5% auto;
}

 .boximg{
      max-width: 240px;
    }

    .content-container {
    margin-top: -40px;
}

.name{
  font-size: 12px;
}
}




@media (min-width:360px) {

.idea{
    
    font-size:40px;
    margin: 1% auto 0.5% auto;
}

 .boximg{
      max-width: 240px;
    }

    .content-container {
    margin-top: -40px;
}

.name{
  font-size: 14px;
}
}

@media (min-width:400px) {

.idea{
    
    font-size:45px;
    margin: 1% auto 0.5% auto;
}

 .boximg{
      max-width: 260px;
    }

    .content-container {
    margin-top: -40px;
}

.name{
  font-size: 16px;
}
}



@media (min-width:480px) {

.idea{
    
    font-size:55px;
    margin: 1% auto 0.5% auto;
}

 .boximg{
      max-width: 300px;
    }

    .content-container {
    margin-top: -40px;
}

.name{
  font-size: 19px;
}
}



@media (min-width:600px) {

.idea{
    
    font-size:55px;
    margin: 1% auto 0.5% auto;
}

 .boximg{
      max-width: 300px;
    }

    .content-container {
    margin-top: -40px;
}

.name{
  font-size: 19px;
}
}

@media (min-width:700px) {

.idea{
    
    font-size:37px;
    margin: 30% auto 0.5% auto;
}

.boximg{
      max-width: 90%;
    }



.name{
  font-size: 14px;
}
}


@media (min-width:750px) {

.idea{
    
    font-size:40px;
    margin: 30% auto 0.5% auto;
}

.boximg{
      max-width: 90%;
    }


.name{
  font-size: 15px;
}
}

@media (min-width:800px) {

.idea{
    
    font-size:43px;
    margin: 30% auto 0.5% auto;
}

.boximg{
      max-width: 90%;
    }



.name{
  font-size: 15px;
}
}



@media (min-width:850px) {

.idea{
    
    font-size:45px;
    margin: 25% auto 0.5% auto;
}

.boximg{
      max-width: 90%;
    }


.name{
  font-size: 15px;
}
}

@media (min-width:900px) {

.idea{
    
    font-size:55px;
    margin: 25% auto 0.5% auto;
}

.boximg{
      max-width: 90%;
    }


.name{
  font-size: 17px;
}
}

@media (min-width:950px) {

.idea{
    
    font-size:58px;
    margin: 25% auto 0.5% auto;
}

.boximg{
      max-width: 90%;
    }


.name{
  font-size: 17px;
}
}




@media (min-width:1050px) {

.idea{
    
    font-size:65px;
    margin: 25% auto 0.5% auto;
}

.boximg{
      max-width: 90%;
    }


.name{
  font-size: 19px;
}
}





@media (min-width:1200px) {

.idea{
    
    font-size:75px;
    margin: 25% auto 0.5% auto;
}

.boximg{
      max-width: 90%;
    }


.name{
  font-size: 22px;
}

}

@media (min-width:1500px) {

.idea{
    
    font-size:75px;
    margin: 25% auto 0.5% auto;
}

.boximg{
      max-width: 90%;
    }


.name{
  font-size: 22px;
}

}

@media (min-width:1750px) {



.idea{
    
    font-size:75px;
    margin: 25% auto 0.5% auto;
}

.boximg{
      max-width: 90%;
    }

.name{
  font-size: 22px;
}

}




@media (min-width:1900px) {

.idea{
    
    font-size:75px;
    margin: 25% auto 0.5% auto;
}

.boximg{
      max-width: 90%;
    }


.name{
  font-size: 22px;
}

}


@media screen and (max-width:960px) {
  .footer-container{
    max-width: 600px;
  }
  .right-col{
    width: 100%;
    margin-bottom: 60px;
    
  }

  .rights-text{
    text-align: center;
    margin-top: 30px;
}

  .social-media{
    width: 260px;
    margin: 0 auto;
  }

  .left-col{
    width: 100%;
  }
}

